Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031711
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] J. Demo dataminorhave not tried2015-12-15 10:222015-12-24 18:39
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revisioncfa348340a38
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031711: Sample data (F&B International Group Client) for 3.0PR16Q1

DescriptionFollowing the "How to evolve F&B" document instructions create the transactions of Oct, Nov and Dec 2015 in both organizations (US and Spain) for F&B International Group Client.
Steps To Reproduce1) In a clean instance with no modules, execute:
ant install.source
2) Execute ant update.database and execute ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo. Commit the changes.
3) Create new transactions
4) Verify the inserted data
5) ant export.sample.data -Dclient="F&B International Group" -Dmodule=org.openbravo.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0082831)
AtulOpenbravo (developer)
2015-12-17 13:49

Test plan:
-Go to purchase order, filtered by the quarter records, check there are 6 purchase order F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 purchase orders to F&B US West Coast.
-Go to good receipt, filtered by the quarter records, check there are 6 good receipt F&B US East Coast (3 for Fruit & Bio, and 3 for Happy Drinks) and 3 good receipt to F&B US West Coast.
-Go to purchase invoice, filter by the quarter, check there are 6 purchase invoice F&B US East Coast and 3 purchase invoice to F&B US West Coast.
-Go to purchase invoice, filter by the quarter records, check there are 12 service purchase invoice F&B US, Inc and 12 service purchase invoice to F&B España, S.A.
-Go to payment out and check the suppliers payments
-Go to payment out and check there are a salaries g/l item to F&B España, S.A. and F&B US, Inc ← Only if you have entered a payment, otherwise look at the Financial Account transaction for the G/L Item “Sueldos y Salarios” or “Salaries”.
-Go to g/l journal and check the lines
-Go to sales order filter by the quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to goods shipment filter by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice filtered by quarter records check there are 6 F&B US East Coast (3 for Sleep and 3 for Healthy), 3 F&B US West Coast, 6 F&B España - Región Norte (3 for Alimentos and 3 for Hoteles) and 3 F&B España - Región Sur.
-Go to sales invoice, filtered <0 in days till next due. Notice that the applied filter resulted 0 records.
-Go to financial account check that there is 1 imported bank statements per quarter and check the reconciliation, to F&B España, S.A. in Cuenta de Banco and F&B US, Inc in Bank Account 1
(0082955)
hgbot (developer)
2015-12-23 11:54

Repository: erp/devel/pi
Changeset: d38b91352e696f6b4aee3d2d490b3c3453823d56
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 16 13:43:29 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d38b91352e696f6b4aee3d2d490b3c3453823d56 [^]

Related To Issue 31711:Changes in sample data task while updating database
prior to creating transactions

---
M referencedata/sampledata/F_B_International_Group/AD_ROLE.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_PROCESS_ACCESS.xml
---
(0082956)
hgbot (developer)
2015-12-23 11:54

Repository: erp/devel/pi
Changeset: cfa348340a385e89c1d6753d2773fab463635ad1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Dec 17 14:34:09 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/cfa348340a385e89c1d6753d2773fab463635ad1 [^]

Fixes Issue 31711:Sample data (F&B International Group Client) for 3.0PR16Q1

Transactions created for Oct, Nov and Dec 2015 as per document "How to evolve
F&B"

---
M referencedata/sampledata/F_B_International_Group/AD_PROCESS_REQUEST.xml
M referencedata/sampledata/F_B_International_Group/AD_SEQUENCE.xml
M referencedata/sampledata/F_B_International_Group/AD_USER.xml
M referencedata/sampledata/F_B_International_Group/A_AMORTIZATION.xml
M referencedata/sampledata/F_B_International_Group/A_ASSET.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINE.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICELINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_INVOICETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINE.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERLINETAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDERTAX.xml
M referencedata/sampledata/F_B_International_Group/C_ORDER_DISCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_BANKSTATEMENTLINE.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINACC_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/FIN_FINANCIAL_ACCOUNT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROPOSAL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_PROP_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULE.xml
M referencedata/sampledata/F_B_International_Group/FIN_PAYMENT_SCHEDULEDETAIL.xml
M referencedata/sampledata/F_B_International_Group/FIN_RECONCILIATION.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNAL.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALBATCH.xml
M referencedata/sampledata/F_B_International_Group/GL_JOURNALLINE.xml
M referencedata/sampledata/F_B_International_Group/M_COSTING.xml
M referencedata/sampledata/F_B_International_Group/M_INOUT.xml
M referencedata/sampledata/F_B_International_Group/M_INOUTLINE.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHINV.xml
M referencedata/sampledata/F_B_International_Group/M_MATCHPO.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_DETAIL.xml
M referencedata/sampledata/F_B_International_Group/M_STORAGE_PENDING.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION.xml
M referencedata/sampledata/F_B_International_Group/M_TRANSACTION_COST.xml
---
(0082957)
hgbot (developer)
2015-12-23 11:54

Repository: erp/devel/pi
Changeset: f26fa9fa4eba5be041d5876abb56103230b904c7
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Dec 23 11:48:21 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f26fa9fa4eba5be041d5876abb56103230b904c7 [^]

Related to issue 31711: Add 2016 conversion rate and accounting for some assets

---
M referencedata/sampledata/F_B_International_Group/AD_WINDOW_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/A_AMORTIZATION.xml
M referencedata/sampledata/F_B_International_Group/A_ASSET_ACCT.xml
M referencedata/sampledata/F_B_International_Group/C_BPARTNER.xml
M referencedata/sampledata/F_B_International_Group/C_CONVERSION_RATE.xml
M referencedata/sampledata/F_B_International_Group/FACT_ACCT.xml
---
(0082958)
aferraz (developer)
2015-12-23 11:56

Verified
(0082997)
hudsonbot (developer)
2015-12-24 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/13c94f3d6e25 [^]
Maturity status: Test
(0082998)
hudsonbot (developer)
2015-12-24 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/13c94f3d6e25 [^]
Maturity status: Test
(0082999)
hudsonbot (developer)
2015-12-24 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/13c94f3d6e25 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-12-15 10:22 AtulOpenbravo New Issue
2015-12-15 10:22 AtulOpenbravo Assigned To => Triage Finance
2015-12-15 10:22 AtulOpenbravo Modules => Core
2015-12-15 10:22 AtulOpenbravo Triggers an Emergency Pack => No
2015-12-15 11:17 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-12-16 08:08 AtulOpenbravo Status new => scheduled
2015-12-17 13:49 AtulOpenbravo Note Added: 0082831
2015-12-23 11:54 hgbot Checkin
2015-12-23 11:54 hgbot Note Added: 0082955
2015-12-23 11:54 hgbot Checkin
2015-12-23 11:54 hgbot Note Added: 0082956
2015-12-23 11:54 hgbot Status scheduled => resolved
2015-12-23 11:54 hgbot Resolution open => fixed
2015-12-23 11:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cfa348340a385e89c1d6753d2773fab463635ad1 [^]
2015-12-23 11:54 hgbot Checkin
2015-12-23 11:54 hgbot Note Added: 0082957
2015-12-23 11:56 aferraz Review Assigned To => aferraz
2015-12-23 11:56 aferraz Note Added: 0082958
2015-12-23 11:56 aferraz Status resolved => closed
2015-12-23 11:56 aferraz Fixed in Version => 3.0PR16Q1
2015-12-24 18:39 hudsonbot Checkin
2015-12-24 18:39 hudsonbot Note Added: 0082997
2015-12-24 18:39 hudsonbot Checkin
2015-12-24 18:39 hudsonbot Note Added: 0082998
2015-12-24 18:39 hudsonbot Checkin
2015-12-24 18:39 hudsonbot Note Added: 0082999


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker